#include <cmath>
#include <iostream>

int main() {
	long long liczba_owiec;
	std::cin >> liczba_owiec;
	long long czas_powiekszania_tratwy = (long long)std::sqrt(liczba_owiec);
	long long czas_transportu = czas_powiekszania_tratwy;
	if (czas_powiekszania_tratwy * czas_transportu < liczba_owiec)
		czas_powiekszania_tratwy++;
	if (czas_powiekszania_tratwy * czas_transportu < liczba_owiec)
		czas_transportu++;
	std::cout << (czas_powiekszania_tratwy + czas_transportu) << '\n';
	return 0;
}
